classification
Title: PyMemberDef doc is char* instead of const char*
Type: Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, h.venev, loewis, methane
Priority: normal Keywords:

Created on 2014-03-22 10:16 by h.venev, last changed 2019-03-28 13:22 by methane. This issue is now closed.

Messages (3)
msg214454 - (view) Author: Hristo Venev (h.venev) * Date: 2014-03-22 10:16
It would be better if string literals could be used there.
msg214466 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2014-03-22 11:47
I propose any resolution to issue21019 be applied here as well.
msg339034 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2019-03-28 13:22
It's const char* for now.
History
Date User Action Args
2019-03-28 13:22:05methanesetstatus: open -> closed

nosy: + methane
messages: + msg339034

resolution: fixed
stage: resolved
2014-03-24 01:04:35Arfreversetnosy: + Arfrever
2014-03-22 11:47:55loewissetnosy: + loewis
messages: + msg214466
2014-03-22 10:18:28h.venevsetcomponents: + Extension Modules
versions: + Python 3.4
2014-03-22 10:16:31h.venevcreate